Subject: Re: bug#79036: [PATCH] Fix pdb tracking for remote filenames

From: Liu Hui <[email-masked]>
Date: Thu, 24 Jul 2025 08:45:54 +0800

On Wed, Jul 23, 2025 at 11:08 PM kobarity <[email-masked]> wrote:

> > For non-file buffers, could it return buffer name instead of <string>?
> > e.g. #<buffer NAME> or #<NAME> where NAME may need to be quoted. Then
> > python-pdbtrack-set-tracked-buffer can find it by (get-buffer-create
> > "NAME").
>
> That might be a good idea.  Why is `get-buffer-create' is necessary
> rather than `get-buffer'?

Thanks for pointing it out. get-buffer should be used here.